package com.glarimy.patterns;

import java.util.List;

public class Contact {
	private Name name;
	private Address address;
	private String email;
	private List<Phone> homePhones;
	private List<Phone> workPhones;
	private String url;
	private int type;
	private boolean important;

	public Name getName() {
		return name;
	}

	public void setName(Name name) {
		this.name = name;
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public List<Phone> getHomePhones() {
		return homePhones;
	}

	public void setHomePhones(List<Phone> homePhones) {
		this.homePhones = homePhones;
	}

	public List<Phone> getWorkPhones() {
		return workPhones;
	}

	public void setWorkPhones(List<Phone> workPhones) {
		this.workPhones = workPhones;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public boolean isImportant() {
		return important;
	}

	public void setImportant(boolean important) {
		this.important = important;
	}

	@Override
	public String toString() {
		return "Contact [name=" + name + ", address=" + address + ", email="
				+ email + ", homePhones=" + homePhones + ", workPhones="
				+ workPhones + ", url=" + url + ", type=" + type
				+ ", important=" + important + "]";
	}

}
