package com.glarimy.patterns;

public interface Security {

	public boolean inSession() throws Exception;
	
	public void invalidate() throws Exception;

	public void authenticate(Credential credential) throws Exception;

	public int add(Credential credential) throws Exception;

	public void remove(int id) throws Exception;

	public void authorize(String task) throws Exception;
}
