package com.glarimy.patterns;

import java.util.List;

public interface Directory {

	public abstract void add(Contact contact) throws Exception;

	public abstract List<Contact> list() throws Exception;

	public abstract List<Contact> search(Criteria criteria) throws Exception;

	public abstract void update(Contact contact) throws Exception;

	public abstract void login(Credential credential) throws Exception;

	public abstract void logout(Credential credential) throws Exception;

	public abstract int signin(Credential credential) throws Exception;

}